framework:
    rate_limiter:
        auth_login:
            policy: fixed_window
            limit: 5
            interval: '1 minute'
        auth_register:
            policy: fixed_window
            limit: 3
            interval: '10 minutes'
        password_reset:
            policy: fixed_window
            limit: 3
            interval: '15 minutes'
        contact_form:
            policy: fixed_window
            limit: 3
            interval: '10 minutes'
        purchase:
            policy: fixed_window
            limit: 5
            interval: '10 minutes'
